org.apache.calcite.avatica.util

## Class AbstractCursor.StructGetter

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.StructGetter

All Implemented Interfaces:
  AbstractCursor.Getter

Enclosing class:
  AbstractCursor

    public class AbstractCursor.StructGetter
    extends Object
    implements AbstractCursor.Getter

Implementation of `AbstractCursor.Getter` that returns the value of a given field of the current contents of another getter.

### Field Summary

Fields
`private ColumnMetaData` `columnMetaData`
`AbstractCursor.Getter` `getter`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCursor.StructGetter(AbstractCursor.Getter getter, ColumnMetaData columnMetaData)`

### Method Summary

Methods
`Object` `getObject()`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### getter

    public final AbstractCursor.Getter getter

#### columnMetaData

    private final ColumnMetaData columnMetaData

### Constructor Detail

#### AbstractCursor.StructGetter

    public AbstractCursor.StructGetter(AbstractCursor.Getter getter,
                               ColumnMetaData columnMetaData)

### Method Detail

#### getObject

    public Object getObject()

Specified by:
  `getObject` in interface `AbstractCursor.Getter`

#### wasNull

    public boolean wasNull()

Specified by:
  `wasNull` in interface `AbstractCursor.Getter`